#include "Bin.h"

void TablToBina(Piquesel** tableau,char* sortie,int taille0,int taille1,int seuil){
	FILE* image = NULL;
	int i,j;
	int taille[2] = {0};
	taille[0]=taille0;
	taille[1]=taille1;
	image = fopen(sortie,"w+");
//On écrit dans un nouveau fichier les données de base d'une image PPM
	fprintf(image, "P3\n");
	fprintf(image, "%d %d\n", taille[0],taille[1]);
	fprintf(image, "255\n");

		for (i=0 ; i<taille[1] ; i++){
			for (j=0; j<taille[0]; j++){
				if ((tableau[i][j].Red)<=seuil){
					fprintf(image, "%d \n", 0);
				}else{
					fprintf(image, "%d \n", 255);
				}
				if ((tableau[i][j].Green)<=seuil){
					fprintf(image, "%d \n", 0);
				}else{
					fprintf(image, "%d \n", 255);
				}
				if ((tableau[i][j].Blue)<=seuil){
					fprintf(image, "%d \n", 0);
				}else{
					fprintf(image, "%d \n", 255);
				}
			}
		}
    fclose(image);
}

